aboutsummaryrefslogtreecommitdiff
path: root/python/package_id_TEST_setup.sh
diff options
context:
space:
mode:
authorAvatar Piotr Jaroszyński <peper@gentoo.org> 2007-07-06 02:36:12 +0000
committerAvatar Piotr Jaroszyński <peper@gentoo.org> 2007-07-06 02:36:12 +0000
commitf5231e0a84d6f633c1a17dcfa4bb5252080e49d2 (patch)
tree88dfaea257c8ea88515dac285a0fb54399992f71 /python/package_id_TEST_setup.sh
parente5f11c45d88ca843235be6a10cc97f580f674513 (diff)
downloadpaludis-f5231e0a84d6f633c1a17dcfa4bb5252080e49d2.tar.gz
paludis-f5231e0a84d6f633c1a17dcfa4bb5252080e49d2.tar.xz
(python) Bring lots of stuff up to date.
Diffstat (limited to 'python/package_id_TEST_setup.sh')
-rwxr-xr-xpython/package_id_TEST_setup.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/python/package_id_TEST_setup.sh b/python/package_id_TEST_setup.sh
new file mode 100755
index 000000000..05efdec51
--- /dev/null
+++ b/python/package_id_TEST_setup.sh
@@ -0,0 +1,49 @@
+#!/bin/bash
+# vim: set ft=sh sw=4 sts=4 et :
+
+mkdir package_id_TEST_dir || exit 1
+cd package_id_TEST_dir || exit 1
+
+mkdir -p testrepo/{eclass,distfiles,profiles/testprofile,foo/bar/files} || exit 1
+cd testrepo || exit 1
+echo "testrepo" > profiles/repo_name || exit 1
+cat <<END > profiles/categories || exit 1
+foo
+END
+cat <<END > profiles/profiles.desc
+test testprofile stable
+END
+cat <<END > profiles/testprofile/make.defaults
+ARCH=test
+USERLAND=test
+KERNEL=test
+END
+
+cat <<"END" > foo/bar/bar-1.0.ebuild || exit 1
+DESCRIPTION="Test package"
+HOMEPAGE="http://paludis.pioto.org/"
+SRC_URI="http://example.com/${P}.tar.bz2"
+SLOT="0"
+IUSE="testflag"
+LICENSE="GPL-2"
+KEYWORDS="test"
+RESTRICT="monkey"
+DEPEND="foo/bar"
+RDEPEND=""
+END
+
+cd ..
+
+mkdir -p installed/cat-one/pkg-{one,two}-1 || exit 1
+
+
+echo "cat-one" > installed/cat-one/pkg-one-1/CATEGORY
+touch installed/cat-one/pkg-one-1/CONTENTS
+echo "0" > installed/cat-one/pkg-one-1/EAPI
+echo "a description" > installed/cat-one/pkg-one-1/DESCRIPTION
+echo "test_inherited" > installed/cat-one/pkg-one-1/INHERITED
+echo "test_iuse test" > installed/cat-one/pkg-one-1/IUSE
+echo "test" > installed/cat-one/pkg-one-1/KEYWORDS
+echo "origin_test" > installed/cat-one/pkg-one-1/REPOSITORY
+echo "test_slot" > installed/cat-one/pkg-one-1/SLOT
+echo "test test_use" > installed/cat-one/pkg-one-1/USE